#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 6. Text Editors

- Prev

  kate-24.12.2

- Next

  Nano-8.3

- Up
- Home

# Mousepad-0.6.3

## Introduction to Mousepad

Mousepad is a simple GTK+ 3 text editor for the Xfce desktop environment.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://archive.xfce.org/src/apps/mousepad/0.6/mousepad-0.6.3.tar.bz2

- Download MD5 sum: 6e46d6a22e0656fbddf2655d1e9dfc1f

- Download size: 1.4 MB

- Estimated disk space required: 16 MB

- Estimated build time: 0.1 SBU

### Mousepad Dependencies

#### Required

gtksourceview4-4.8.4 and libxfce4ui-4.20.0

#### Recommended

gspell-1.14.0

#### Optional

DConf-0.40.0 (runtime) and dbus-glib-0.112

## Installation of Mousepad

Install Mousepad by running the following commands:

    ./configure --prefix=/usr           \
                --enable-gtksourceview4 \
                --enable-keyfile-settings &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-keyfile-settings`: Use the GSettings keyfile backend rather than the default DConf-0.40.0.

`--disable-plugin-gspell`: Use this option to disable building the gspell-1.14.0 plugin if you have not installed gspell.

## Contents

Installed Program: mousepad
Installed Libraries: None
Installed Directories: None

### Short Descriptions

mousepad | is a simple GTK+ 3 text editor

- Prev

  kate-24.12.2

- Next

  Nano-8.3

- Up
- Home